<html>
  <head>
    <title>TP Vue.js Leaflet</title>
  </head>
  <body>
    <div id="app">
      <address>
        From
        <ul>
          <li>
            Road: {{ from.road }}
          </li>
          <li>
            Zip code: {{ from.zipCode }}
          </li>
          <li>
            City: {{ from.city }}
          </li>
          <li v-if="from.complement">
            Complement: {{ from.complement }}
          </li>
          <li v-if="from.country">
            Country: {{ from.country }}
          </li>
          <li v-if="from.state">
            State: {{ from.state }}
          </li>
        </ul>
      </address>
      <br>
      <address>
        To
        <ul>
          <li>
            Road: {{ to.road }}
          </li>
          <li>
            Zip code: {{ to.zipCode }}
          </li>
          <li>
            City: {{ to.city }}
          </li>
          <li v-if="to.complement">
            Complement: {{ to.complement }}
          </li>
          <li v-if="to.country">
            Country: {{ to.country }}
          </li>
          <li v-if="to.state">
            State: {{ to.state }}
          </li>
        </ul>
      </address>

      <form>
        <li>
          Road: <input type="text" v-model="from.road" />
        </li>
        <li>
          Zip code: <input type="text" v-model="from.zipCode" />
        </li>
        <li>
          City: <input type="text" v-model="from.city" />
        </li>
        <li>
          Complement: <input type="text" v-model="from.complement" />
        </li>
        <li>
          Country: <input type="text" v-model="from.country" />
        </li>
        <li>
          <!-- Ici, nous utilisons la variable from.state, qui n'a pas été déclarée initialement -->
          State: <input type="text" v-model="from.state" />
        </li>
      </form>
     

    </div>
    <script src="https://unpkg.com/vue"></script>
    <script type="text/javascript">
      /**
       * Étape 1 : Créer un "bloc" d'adresse (sans VueJS)
       * 
       * Étape 2 : Définir une variable réactive
       * 
       * Étape 3 : Affichage conditionnel de données
       * 
       * Étape 4 : Créer un formulaire dynamique
       * 
       * Étape 5 : ajouter un hook à notre application
       * 
       * Étape 6 : permettre la modification de `from` ou `to`
       */
       Vue.createApp({
        data () {
          return {
            from: {
              road: '11 rue du Marchix',
              zipCode: '44000',
              city: 'Nantes',
              complement: 'Makina Corpus',
              country: 'Pays de la Loire' // ici, nous ne déclarons pas la variable "state"
            },
            to: {
              road: 'Château des ducs de Bretagne',
              zipCode: 44000,
              city: 'Nantes',
              state: 'France'
            },
          }
        }
       }).mount('#app')
    </script>
  </body>
</html>